package main

import (
	log "github.com/donnie4w/go-logger/logger"
	"regexp"
	"sync"
)

var (
	Source_Mgo   *MongodbSim
	Bid_Mgo      *MongodbSim
	MysqlDevTool *Mysql
	IsLocal      bool
	TimeLayout                  = "2006-01-02 15:04:05"
	Url                         = "https://www.jianyu360.com/article/content/%s.html"
	LetterReg    *regexp.Regexp = regexp.MustCompile("[A-Za-z]")
	numLock      sync.Mutex
)

func init() {
	//IsLocal = true
	initClass()
}

func main() {
	log.Debug("初始化 main ~~~")

	//保存
	SaveOnlineTidbRegionInfo()
	SaveOnlineTidbIndustryInfo()

	//SaveOnlineTidbResourceInfo()

	lock := make(chan bool)
	<-lock
}

func test() {
	//exportIndustryWords()
	//calculateSubscribeWords()
	//calculatePurchasingWords()

	//SaveMysqlIndustryInfo("zktest_mysql_industry_info", "seo_industry")
	//SaveMysqlSubscribeInfo("zktest_mysql_subscribe_info", "seo_subscribe")
	//SaveMysqlPurchasingInfo("zktest_mysql_purchasing_info", "seo_purchasing")
	//descriptivePurInfo()

	//ResourceIntegrationInfo()
}
